Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.builder
Class BuildTimeoutKiller

    java.lang.Object
      java.lang.Thread
          com.atlassian.bamboo.utils.Timer
              com.atlassian.bamboo.builder.BuildTimeoutKiller

All Implemented Interfaces:
  Runnable

    public class BuildTimeoutKiller

extends Timer

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`BuildTimeoutKiller(Thread targetThread, long timeoutInMilliseconds)` Kill the targetThread if it is still running after timeoutInMilliseconds has elapsed.

Method Summary
`void` | `onTimeout()` This callback is triggered if the timer times-out

Methods inherited from class com.atlassian.bamboo.utils.Timer
`cancel, restart, run, start`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BuildTimeoutKiller

    public BuildTimeoutKiller(Thread targetThread,
                              long timeoutInMilliseconds)

  Kill the targetThread if it is still running after timeoutInMilliseconds has elapsed.

  Parameters:
    `targetThread` - A thread to watch
    `timeoutInMilliseconds` - The length of the timeout

Method Detail

### onTimeout

    public void onTimeout()

  Description copied from class: `Timer`
  This callback is triggered if the timer times-out

  Specified by:
    `onTimeout` in class `Timer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.